#!/bin/bash

#----------------------------------------------------------------------

set -o xtrace

if [ ! -d wxPython ]; then  # TODO: make this test more robust
    echo "Please run this script from the root wxPython directory."
    exit 1
fi

VERSION=`python -c "import setup;print setup.VERSION"`


# cleanup old build
rm -r docs/api/*

# build the docs
export PTYHONPATH=$PWD
/opt/python/bin/epydoc --name "wxPython $VERSION" \
    --html \
    --output docs/api \
    --ignore-param-mismatch \
    --inheritance none \
    --no-expand-subpackages \
    --no-private \
    --css docs/wxPython-epydoc.css \
    --docformat restructuredtext \
    --url http://wxPython.org/ \
    --no-frames \
    $* \
    wxversion/wxversion.py \
    wx

#    wx/__init__.py \

#    wx/calendar.py wx/grid.py wx/html.py wx/wizard.py \
#    wx/gizmos.py wx/ogl.py wx/stc.py wx/xrc.py


#    --no-frames \
#    --docformat epytext \
#    --debug \
#    --inheritance grouped \
#    --inheritance none \



python docs/bin/BuildAPIHelpBook.py wxpyapi docs/api


# TODO: 
#   1. Should rebuild the top-level docs too (but we need more of them first!)



# bundle it all up into a tarball
DEST=wxPython-$VERSION/docs
mkdir -p _build_docs/$DEST
cp -R --link docs/api _build_docs/$DEST
cd _build_docs
rm -f ../dist/wxPython-newdocs-$VERSION.tar.bz2
tar cf ../dist/wxPython-newdocs-$VERSION.tar $DEST
bzip2 -9 ../dist/wxPython-newdocs-$VERSION.tar

# Cleanup
cd ..
rm -r _build_docs

